local scene5 = {}
width  = 0
height = 0

function scene5:load()
	font = love.graphics.newImageFont("img/imagefont.png",
		" abcdefghijklmnopqrstuvwxyz" ..
		"ABCDEFGHIJKLMNOPQRSTUVWXYZ0" ..
		"123456789.,!?-+/():;%&`'*#=[]\"")
    if DEBUG then print("Game end!") end
	font = love.graphics.setNewFont( 18 )
	
end

function scene5:keypressed(charCode, keyCode)
	if love.keyboard.isDown("z")    then
		self.setScene("scene4", { score = 52 })
	end
	return nil
end

function scene5:draw()
	love.graphics.setColor(1, 1, 1)
	--love.graphics.rectangle("fill", 100,100, 10,10)
	width, height = love.graphics.getDimensions( )
	--love.graphics.print("GAME END\nPress z for new game", 250, 250)
	love.graphics.printf("Press z for new game", (width/2)-125, height/2, 250, 'center')
	love.graphics.printf("CONTROLS", (width/2)-125, height/2+40, 250, 'center')
	love.graphics.printf("Turn - Left and Right arrows, accelerate z", (width/2)-125, height/2+60, 250, 'center')
	love.graphics.printf("d debug (some on screen info...)", (width/2)-125, height/2+100, 250, 'center')
	love.graphics.printf("Original code from (msx80), Game at: https://tic80.com/play?cart=573", (width/2)-125, height/2+140, 250, 'center')
	if cars==nil then
	else
		if #cars>0 then
			love.graphics.printf("List of Players", (width/2)-125, (height/2)+15, 250, 'center')
			for i=1,#cars do
				--cars[i].pos=i
				love.graphics.print("Car: " .. cars[i].name, 150, 150+(i*20))
			end
		end
	end
end
return scene5